class MaintJobResponse {
  int? code;
  MaintJobList? data;
  String? msg;

  @override
  String toString() {
    return 'maintJobResponse{code: $code, data: $data, msg: $msg}';
  }

  MaintJobResponse({this.code, this.data, this.msg});

  MaintJobResponse.fromJson(Map<String, dynamic> json) {
    code = json['code'];
    data = json['data'] != null ? new MaintJobList.fromJson(json['data']) : null;
    msg = json['msg'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['code'] = this.code;
    if (this.data != null) {
      data['data'] = this.data!.toJson();
    }
    data['msg'] = this.msg;
    return data;
  }
}

class MaintJobList {
  int? total;
  int? index;
  int? size;

  @override
  String toString() {
    return 'maintJobList{total: $total, index: $index, size: $size, sortBy: $sortBy, sort: $sort, query: $query, list: $list}';
  }

  String? sortBy;
  int? sort;
  MaintJobVO? query;
  List<MaintJobVO>? list;

  MaintJobList(
      {this.total,
        this.index,
        this.size,
        this.sortBy,
        this.sort,
        this.query,
        this.list});

  MaintJobList.fromJson(Map<String, dynamic> json) {
    total = json['total'];
    index = json['index'];
    size = json['size'];
    sortBy = json['sortBy'];
    sort = json['sort'];
    query = json['query'] != null ? new MaintJobVO.fromJson(json['query']) : null;
    if (json['list'] != null) {
      list = <MaintJobVO>[];
      json['list'].forEach((v) {
        list!.add(new MaintJobVO.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['total'] = this.total;
    data['index'] = this.index;
    data['size'] = this.size;
    data['sortBy'] = this.sortBy;
    data['sort'] = this.sort;
    if (this.query != null) {
      data['query'] = this.query!.toJson();
    }
    if (this.list != null) {
      data['list'] = this.list!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}


class MaintJobVO {
  int? id;

  @override
  String toString() {
    return 'maintJobVO{id: $id, jobName: $jobName, jobNum: $jobNum, planName: $planName, planNum: $planNum, status: $status, startTime: $startTime, endTime: $endTime, cycleType: $cycleType, planRemarks: $planRemarks, closeReason: $closeReason, closePerson: $closePerson, closeTime: $closeTime, fileUrls: $fileUrls, creator: $creator, itemsList: $itemsList, maintEquipmentVOList: $maintEquipmentVOList, logs: $logs, customer: $customer, channel: $channel, prodCount: $prodCount}';
  }

  String? jobName;
  String? jobNum;
  String? planName;
  String? planNum;
  int? status;
  String? startTime;
  String? endTime;
  int? cycleType;
  String? planRemarks;
  String? closeReason;
  String? closePerson;
  String? closeTime;
  String? fileUrls;
  String? creator;
  String? itemsList;
  String? maintEquipmentVOList;
  String? logs;
  String? customer;
  String? channel;
  int? prodCount;

  MaintJobVO(
      {this.id,
        this.jobName,
        this.jobNum,
        this.planName,
        this.planNum,
        this.status,
        this.startTime,
        this.endTime,
        this.cycleType,
        this.planRemarks,
        this.closeReason,
        this.closePerson,
        this.closeTime,
        this.fileUrls,
        this.creator,
        this.itemsList,
        this.maintEquipmentVOList,
        this.logs,
        this.customer,
        this.channel,
        this.prodCount});

  MaintJobVO.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    jobName = json['jobName'];
    jobNum = json['jobNum'];
    planName = json['planName'];
    planNum = json['planNum'];
    status = json['status'];
    startTime = json['startTime'];
    endTime = json['endTime'];
    cycleType = json['cycleType'];
    planRemarks = json['planRemarks'];
    closeReason = json['closeReason'];
    closePerson = json['closePerson'];
    closeTime = json['closeTime'];
    fileUrls = json['fileUrls'];
    creator = json['creator'];
    itemsList = json['itemsList'];
    maintEquipmentVOList = json['maintEquipmentVOList'];
    logs = json['logs'];
    customer = json['customer'];
    channel = json['channel'];
    prodCount = json['prodCount'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['jobName'] = this.jobName;
    data['jobNum'] = this.jobNum;
    data['planName'] = this.planName;
    data['planNum'] = this.planNum;
    data['status'] = this.status;
    data['startTime'] = this.startTime;
    data['endTime'] = this.endTime;
    data['cycleType'] = this.cycleType;
    data['planRemarks'] = this.planRemarks;
    data['closeReason'] = this.closeReason;
    data['closePerson'] = this.closePerson;
    data['closeTime'] = this.closeTime;
    data['fileUrls'] = this.fileUrls;
    data['creator'] = this.creator;
    data['itemsList'] = this.itemsList;
    data['maintEquipmentVOList'] = this.maintEquipmentVOList;
    data['logs'] = this.logs;
    data['customer'] = this.customer;
    data['channel'] = this.channel;
    data['prodCount'] = this.prodCount;
    return data;
  }
}